Create a Transaction Event
## POST Transaction Events
`/events/transaction` endpoint allows you to operate on the [Transaction Events entity.](/guides/overview/entities#transaction-event)
Transaction events are created after the initial `POST /transactions` call (which creates a transaction) and are used to:
* Update the STATE of the transaction, using the `transactionState` field and manage the [Transaction Lifecycle](/guides/overview/entities#transaction-lifecycle-through-transaction-events)
* Update the transaction details, using the `updatedTransactionAttributes` field.
> If you have neither of the above two use cases, you do not need to use transaction events.
### Payload
Each transaction event needs three mandatory fields:
* `transactionState` - STATE of the transaction -> value is set to `CREATED` after `POST /transactions` call
* `timestamp`- the timestamp of when the event was created or occured in your system
* `transactionId` - The ID of the transaction for which this event is generated.
In order to make individual events retrievable, you also need to pass in a unique `eventId` to the request body.
Authentication
x-api-keystring
API Key authentication via header
Request
transactionState
Model for transaction states. E.g. Processing, Refunded, Successful etc.
timestamp
Timestamp of the event
transactionId
Transaction ID the event pertains to
eventId
Unique event ID
reason
Reason for the event or a state change
eventDescription
Event description
updatedTransactionAttributes
Model for transaction additional payload
metaData
Model for device data
Response
Created
eventId
transaction
executedRules
Unique transaction identifier
hitRules
Unique transaction identifier
status
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
Allowed values:
riskScoreDetails